Skip to main content
PUT
/
evidences
/
{COMPANY_ID}
/
evidence
/
{EVIDENCE_EXTERNAL_ID}
Update a evidence
curl --request PUT \
  --url https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/evidence/{EVIDENCE_EXTERNAL_ID} \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-API-Key: <api-key>' \
  --form action=update \
  --form actionType=stolen \
  --form 'updateActionDescription=<string>' \
  --form 'updateActionPersona=<string>' \
  --form 'owner=<string>' \
  --form 'description=<string>' \
  --form 'summary=<string>' \
  --form 'eventDescription=<string>' \
  --form 'meta={}' \
  --form file='@example-file' \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "status": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

COMPANY_ID
string
required

Company identifier

EVIDENCE_EXTERNAL_ID
string
required

Evidence external identifier

Body

multipart/form-data
action
enum<string>
required

Action to perform on the evidence

Available options:
update,
transfer,
create
actionType
enum<string>

Type of the action

Available options:
stolen,
repair,
custom,
change,
addfile,
deletefile
updateActionDescription
string

Custom description of the update action

updateActionPersona
string

Description of the persona involved in the action

owner
string

New owner of the evidence, used for transfer actions

description
string

Updated description of the evidence

summary
string

Updated summary of the evidence

eventDescription
string

Description of the event

meta
object

Additional metadata

file
file

Single file attachment

files
file[]

Multiple file attachments

Response

200 - application/json

Evidence updated

status
string
required

Response status